Installs an award for the specified business. This operation is asynchronous and returns a job ID that can be used to track the installation progress.

Request

PUT http:///api/v2/business/{businessId}/award/{awardId}/install

Path parameters

Parameter name Value Description Additional
awardId int32

The ID of the award to install

Required
businessId string Required

Request body

The request body takes a complete AwardInstallRequest resource, containing the following writable properties:

{
    "awardPackageVersionId": "int32",
    "preserveAutoProgressionSettings": "boolean",
    "preserveCustomEmploymentAgreements": "boolean",
    "preserveCustomLeaveAllowanceTemplates": "boolean",
    "preserveCustomPayCategories": "boolean",
    "preserveCustomPayRateTemplates": "boolean",
    "preserveCustomRuleSetPeriod": "boolean",
    "preserveCustomRules": "boolean",
    "preserveCustomWorkTypes": "boolean",
    "preserveDisabledRules": "boolean",
    "reApplyLeaveAllowanceTemplates": "boolean",
    "updatePayRates": "boolean",
    "updateRuleSets": "boolean"
}

Properties

Name Type Description
awardPackageVersionId int32 Nullable
preserveAutoProgressionSettings boolean Nullable
preserveCustomEmploymentAgreements boolean Nullable
preserveCustomLeaveAllowanceTemplates boolean Nullable
preserveCustomPayCategories boolean Nullable
preserveCustomPayRateTemplates boolean Nullable
preserveCustomRuleSetPeriod boolean Nullable
preserveCustomRules boolean Nullable
preserveCustomWorkTypes boolean Nullable
preserveDisabledRules boolean Nullable
reApplyLeaveAllowanceTemplates boolean Nullable
updatePayRates boolean Nullable
updateRuleSets boolean Nullable

Response

The following HTTP status codes may be returned, optionally with a response resource.

Status code Description Resource
200 OK

OK

AwardInstallResponse
400 Bad Request

Bad Request

ProblemDetails
500 Internal Server Error

Internal Server Error